cascading.flow.planner.rule

## Class RuleTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  RuleAnnotationTransformer, RuleContractedTransformer, RuleInsertionTransformer, RuleRemoveBranchTransformer, RuleReplaceFactoryBasedTransformer, RuleReplaceTransformer

    public class RuleTransformer
    extends GraphTransformer<ElementGraph,ElementGraph>
    implements Rule

The RuleTransformer class is responsible for transforming an element graph into a new graph.

### Field Summary

Fields
`protected ContractedTransformer` `contractedTransformer`
`protected RecursiveGraphTransformer<ElementGraph>` `graphTransformer`
`protected RuleExpression` `ruleExpression`
`protected SubGraphTransformer` `subGraphTransformer`

### Constructor Summary

Constructors
Constructor and Description
`RuleTransformer(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression)`
`RuleTransformer(PlanPhase phase, RuleExpression ruleExpression)`

### Method Summary

Methods
`java.lang.String` `getRuleName()`
`PlanPhase` `getRulePhase()`
`Transformed<ElementGraph>` `performTransform(PlannerContext plannerContext, ElementGraph rootGraph)`
`java.lang.String` `toString()`
`Transformed<ElementGraph>` `transform(PlannerContext plannerContext, ElementGraph rootGraph)`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ruleExpression

    protected final RuleExpression ruleExpression

#### contractedTransformer

    protected final ContractedTransformer contractedTransformer

#### subGraphTransformer

    protected final SubGraphTransformer subGraphTransformer

#### graphTransformer

    protected RecursiveGraphTransformer<ElementGraph> graphTransformer

### Constructor Detail

#### RuleTransformer

    public RuleTransformer(PlanPhase phase,
                   RuleExpression ruleExpression)

#### RuleTransformer

    public RuleTransformer(LogLevel logLevel,
                   PlanPhase phase,
                   RuleExpression ruleExpression)

### Method Detail

#### getRulePhase

    public PlanPhase getRulePhase()

Specified by:
  `getRulePhase` in interface `Rule`

#### getRuleName

    public java.lang.String getRuleName()

Specified by:
  `getRuleName` in interface `Rule`

#### transform

    public Transformed<ElementGraph> transform(PlannerContext plannerContext,
                                      ElementGraph rootGraph)

Specified by:
  `transform` in class `GraphTransformer<ElementGraph,ElementGraph>`

#### performTransform

    public Transformed<ElementGraph> performTransform(PlannerContext plannerContext,
                                             ElementGraph rootGraph)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`